summaryrefslogtreecommitdiff
path: root/tcwg-upstream2gerrit.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tcwg-upstream2gerrit.sh')
-rwxr-xr-xtcwg-upstream2gerrit.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/tcwg-upstream2gerrit.sh b/tcwg-upstream2gerrit.sh
index 3a909b7d..eba5aab5 100755
--- a/tcwg-upstream2gerrit.sh
+++ b/tcwg-upstream2gerrit.sh
@@ -1,6 +1,9 @@
#!/bin/bash
-set -ex
+set -ef -o pipefail
+
+. $(dirname $0)/jenkins-helpers.sh
+convert_args_to_variables "$@"
# Make shellcheck happy and workaround Jenkins not defining variables
# for empty arguments.
@@ -9,12 +12,13 @@ patches="${patches:-last}"
project="${project:-gcc}"
squash="${squash:-false}"
filter="${filter:-false}"
+verbose="${verbose:-true}"
-# Jenkins doesn't define variables when parameter value is empty (like cflags),
+# Jenkins doesn't define variables when parameter value is empty,
# so enable "set -u" only after above binding of variables.
set -u
-. jenkins-helpers.sh
+if $verbose; then set -x; fi
rm -f pwclient
wget http://people.linaro.org/~maxim.kuvyrkov/pwclient/pwclient